Package fr.gouv.vitam.common.model.administration.preservation

# Class GriffinModel

java.lang.Object
fr.gouv.vitam.common.model.administration.preservation.GriffinModel

public class GriffinModel extends Object
GriffinModel class

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_CREATION_DATE`
  `static final String`
  `TAG_IDENTIFIER`
  `static final String`
  `TAG_LAST_UPDATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GriffinModel()`
  `GriffinModel(@NotNull @NotEmpty String name, @NotNull @NotEmpty String identifier, @NotNull @NotEmpty String executableName, @NotNull @NotEmpty String executableVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationDate()`
  `String`
  `getDescription()`
  `String`
  `getExecutableName()`
  `String`
  `getExecutableVersion()`
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  `String`
  `getLastUpdate()`
  `String`
  `getName()`
  `Integer`
  `getTenant()`
  `Integer`
  `getVersion()`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setDescription(String description)`
  `void`
  `setExecutableName(String executableName)`
  `void`
  `setExecutableVersion(String executableVersion)`
  `void`
  `setId(String id)`
  `GriffinModel`
  `setIdentifier(String identifier)`
  `void`
  `setLastUpdate(String lastUpdate)`
  `void`
  `setName(String name)`
  `void`
  `setTenant(Integer tenant)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### TAG_CREATION_DATE

    public static final String TAG_CREATION_DATE
    See Also:
      - Constant Field Values

  - ### TAG_LAST_UPDATE

    public static final String TAG_LAST_UPDATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GriffinModel

    public GriffinModel()

  - ### GriffinModel

    public GriffinModel(@NotNull @NotEmpty @NotNull @NotEmpty String name, @NotNull @NotEmpty @NotNull @NotEmpty String identifier, @NotNull @NotEmpty @NotNull @NotEmpty String executableName, @NotNull @NotEmpty @NotNull @NotEmpty String executableVersion)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public void setVersion(Integer version)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public GriffinModel setIdentifier(String identifier)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### getLastUpdate

    public String getLastUpdate()

  - ### setLastUpdate

    public void setLastUpdate(String lastUpdate)

  - ### getExecutableName

    public String getExecutableName()

  - ### setExecutableName

    public void setExecutableName(String executableName)

  - ### getExecutableVersion

    public String getExecutableVersion()

  - ### setExecutableVersion

    public void setExecutableVersion(String executableVersion)